/* Copyright (c) 2001, 2003, 2004, 2006 by Arkkra Enterprises */
/* All rights reserved */

#ifndef _SSVUSED_H
#define _SSVUSED_H

/*
 * This file contains the array subscript definitions for the used[] array
 * of an SSV struct. An SSV contains parameters associated with a
 * Score, Staff, or Voice.  The used[] array is a set of flags which say
 * whether a given parameter is actually populated in the SSV instance.
 * In the "score" SSV, all used flags are always set true.  In SSVs for
 * a staff or voice, a "used" flag is only set to true if the user
 * specified a value for the parameter in that staff or voice context.
 *
 * The actual values are machine-generated so they get automatically
 * renumbered if parameters are added or deleted or rearranged.
 *
 * We try to put things that are logically similar close together in
 * this list, but they could be in any order, other than that NUMFLDS
 * _must_ be last.
 */

#define	SCALE_FACTOR		(0)
#define	UNITS			(1)
#define	PAGEHEIGHT		(2)
#define	PAGEWIDTH		(3)
#define	PANELSPERPAGE		(4)
#define	TOPMARGIN		(5)
#define	BOTMARGIN		(6)
#define	LEFTMARGIN		(7)
#define	RIGHTMARGIN		(8)
#define	RESTCOMBINE		(9)
#define	FIRSTPAGE		(10)
#define	NUMSTAFF		(11)
#define	MINSCSEP		(12)
#define	MAXSCSEP		(13)
#define	MINSCPAD		(14)
#define	MAXSCPAD		(15)
#define	BRACELIST		(16)
#define	BRACKLIST		(17)
#define	BARSTLIST		(18)
#define	TIME			(19)
#define	DIVISION		(20)
#define	ENDINGSTYLE		(21)
#define	GRIDSATEND		(22)
#define	MEASNUM			(23)
#define	MEASNUMFAMILY		(24)
#define	MEASNUMFONT		(25)
#define	MEASNUMSIZE		(26)
#define	PACKFACT		(27)
#define	PACKEXP			(28)
#define	WARN			(29)
#define	STAFFSCALE		(30)
#define	VISIBLE			(31)
#define	STAFFLINES		(32)
#define	GRIDSWHEREUSED		(33)
#define	GRIDSCALE		(34)
#define	GRIDFRET		(35)
#define	NUMBERMRPT		(36)
#define	PRINTMULTNUM		(37)
#define	RESTSYMMULT		(38)
#define	VSCHEME			(39)
#define	VCOMBINE		(40)
#define	SHARPS			(41)
#define	CANCELKEY		(42)
#define	TRANSPOSITION		(43)
#define	ADDTRANSPOSITION	(44)
#define	CLEF			(45)
#define	REHSTYLE		(46)
#define	FONTFAMILY		(47)
#define	FONT			(48)
#define	SIZE			(49)
#define	LYRICSFAMILY		(50)
#define	LYRICSFONT		(51)
#define	LYRICSSIZE		(52)
#define	LYRICSALIGN		(53)
#define	SYLPOSITION		(54)
#define	MINSTSEP		(55)
#define	STAFFPAD		(56)
#define	ABOVEORDER		(57)
#define	BELOWORDER		(58)
#define	BETWEENORDER		(59)
#define	PEDSTYLE		(60)
#define	CHORDDIST		(61)
#define	DIST			(62)
#define	DYNDIST			(63)
#define	LABEL			(64)
#define	LABEL2			(65)
#define	BEAMSTLIST		(66)
#define	BEAMSLOPE		(67)
#define	PAD			(68)
#define	STEMLEN			(69)
#define	STEMSHORTEN		(70)
#define	DEFOCT			(71)
#define	TIMEUNIT		(72)
#define	SWINGUNIT		(73)
#define	RELEASE			(74)
#define	ONTHELINE		(75)
#define	TABWHITEBOX		(76)
#define	NOTEHEADS		(77)
#define	NUMFLDS			(78)

#endif
